<?php

namespace Drupal\graphql_metatag\Plugin\GraphQL\Fields\Metatag;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * @GraphQLField(
 *   secure = true,
 *   id = "metatag_mapvalue",
 *   name = "mapvalue",
 *   type = "String",
 *   parents = {"Metatag"}
 * )
 */
class MapValue extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  protected function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {
    if (isset($value['#tag'], $value['#attributes']['hreflang']) && $value['#tag'] === 'link') {
      yield $value['#attributes']['hreflang'] . "|" . $value['#attributes']['href'];
    }
  }

}
